package cn.com.countrygarden.bi.main.service.project;

import java.util.List;
import java.util.Map;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.dup.ContractTimedExecute;
import cn.com.countrygarden.bi.main.model.project.BiApplnote;
import cn.com.countrygarden.bi.main.model.project.BiEmergency;
import cn.com.countrygarden.bi.main.model.project.TbDupContractTimedEmergency;
import cn.com.countrygarden.bi.main.service.project.impl.vo.outburst.BaseData;

public interface BiEmergencyService {
	public void json2Date(List<BaseData> blist );
	
	public PageData search(Map m,Integer page,Integer size);
	 public BiEmergency findOne(Integer id);
	 public List<BiApplnote> findAppList(Integer id);
	 public TbDupContractTimedEmergency findDateStart();
}
